Create a case status Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v1/cases-status
application/json

Body

  • name string Required

    The name of the status.

  • colour string

    The colour of the status.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • name string
    • colour string
    • position integer
    • is_type_completed boolean
POST /api/v1/cases-status
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/cases-status' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"In Progress","colour":"#23852B"}'
Request examples
{
  "name": "In Progress",
  "colour": "#23852B"
}
Response examples (200)
[
  {
    "uuid": "2b611247-4a2e-426b-a7d2-cd1323bd51de",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "name": "To Be Reviewed",
    "colour": "#23852B",
    "position": 5,
    "is_type_completed": false
  }
]